\documentclass[xcolor={usenames,dvipsnames}]{beamer}
\usetheme{SCITAS}

\usepackage{version}
\usepackage{onimage}
\usetikzlibrary{trees}
\usetikzlibrary{decorations.text}

\hypersetup{
  pdftitle={Introduction to Linux},
  pdfauthor={http://scitas.epfl.ch},
  colorlinks=true,
  urlcolor=blue
}

\tikzset{
  invisible/.style={opacity=0},
  visible on/.style={alt={#1{}{invisible}}},
  alt/.code args={<#1>#2#3}{%
    \alt<#1>{\pgfkeysalso{#2}}{\pgfkeysalso{#3}} % \pgfkeysalso doesn't change the path
  },
}

\title{Introduction to Linux}
\author{\url{scitas.epfl.ch}}
\date{\today}

\usepackage{upquote}

\newcommand{\distroitem}[3]{%
  \item[]\vspace*{-1ex}\hspace*{-.3cm}\tikz[baseline]{%
      \node[anchor=base,text width=3ex, text centered]%
         (#2) at (0,-.1cm)%
           {\includegraphics[height=3ex, clip=true,trim=0 #1 0 0]{images/#2}};} #3}

\newcounter{exercise}
\resetcounteronoverlays{exercise}
\setcounter{exercise}{0}
\newenvironment{exo}[1]%
  {\begin{frame}[fragile,environment=exo]%
      \refstepcounter{exercise}
      \frametitle{Exercise~\arabic{exercise}: #1}}
  {\end{frame}}


\newenvironment{questions}%
  {\begin{block}{Questions:}
      \begin{itemize}}
      {\end{itemize}
    \end{block}}


\excludeversion{extrainfos}


\begin{document}
\input{document}
\end{document}
